## $Id: utils.py 13413 2015-11-08 07:20:29Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PREFERRED_LANGUAGES_DICT = {
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee',
        'schoolfee_1': 'School Fee 1st instalment',
        'schoolfee_2': 'School Fee 2nd instalment',
        'schoolfee_incl': 'School Fee Plus',
        'clearance': 'Acceptance Fee',
        'clearance_incl': 'Acceptance Fee Plus',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'application': 'Application Fee',
        'bed_allocation': 'Bed Allocation Fee',
        'transfer': 'Transfer Fee',
        'transcript': 'Transcript Fee',
        'late_registration': 'Late Course Registration Fee',
        'welfare': 'Student Welfare Assurance Fee',
        'union': 'Students\' Union Dues',
        'lapel': 'Lapel/File Fee',
        'matric_gown': 'Matriculation Gown Fee',
        'concessional': 'Concessional Fee',
        }

    SELECTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee without additional fees',
        #'schoolfee_1': 'School Fee 1st instalment',
        #'schoolfee_2': 'School Fee 2nd instalment',
        'schoolfee_incl': 'School Fee + Students\' Union Dues + Welfare Assurance Fee',
        'clearance': 'Acceptance Fee without additional fees',
        'clearance_incl': 'Acceptance Fee + Matric Gown Fee + Lapel/File Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'application': 'Application Fee',
        #'bed_allocation': 'Bed Allocation Fee',
        #'transfer': 'Transfer Fee',
        'transcript': 'Transcript Fee',
        'late_registration': 'Late Course Registration Fee',
        'welfare': 'Student Welfare Assurance Fee',
        'union': 'Students\' Union Dues',
        'lapel': 'Lapel/File Fee',
        'matric_gown': 'Matriculation Gown Fee',
        'concessional': 'Concessional Fee',
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'pg_ft': 'Postgraduate Full-Time',
        'pg_pt': 'Postgraduate Part-Time',
        'cest': 'Part-Time, Diploma, Certificate',
        'found': 'Foundation',
        'ptee': 'Part-Time Entrance Examination',
        }

    STUDY_MODES_DICT = {
        'ug_ft': 'Undergraduate Full Time',
        'ug_pt': 'Undergraduate Part Time',
        'de_ft': 'Direct Entry Full Time',
        'de_pt': 'Direct Entry Part Time',
        'dp_pt': 'Diploma Part Time',
        'dp_ft': 'Diploma Full Time',
        'pg_ft': 'Postgraduate Full Time',
        'pg_pt': 'Postgraduate Part Time',
        'found': 'Foundation',
        }

    VERDICTS_DICT = {
        '0': 'not yet',
        'A': 'Successful student',
        'B': 'Student with carryover courses',
        'C': 'Student on probation',
        #'D': 'Withdrawn from the faculty',
        #'E': 'Student who were previously on probation',
        #'F': 'Medical case',
        #'G': 'Absent from examination',
        #'H': 'Withheld results',
        #'I': 'Expelled/rusticated/suspended student',
        #'J': 'Temporary withdrawn from the university',
        #'K': 'Unregistered student',
        #'L': 'Referred student',
        #'M': 'Reinstatement',
        #'N': 'Student on transfer',
        #'O': 'NCE-III repeater',
        #'Y': 'No previous verdict',
        #'X': 'New 300 level student',
        'Z': 'Successful student (provisional)',
        #'A1': 'First Class',
        #'A2': 'Second Class Upper',
        #'A3': 'Second Class Lower',
        #'A4': 'Third Class',
        #'A5': 'Pass',
        #'A6': 'Distinction',
        #'A7': 'Credit',
        #'A8': 'Merit',
        'NEOR': 'No evidence of registration',
        'NEOV': 'No evidence of verification',
        'FRNS': 'Faculty requirements not satisfied',
        }
